:root {
  /* colors */
  --color-white: #fff;
  --color-smoke-10: #fefefe;
  --color-smoke-30: #fafafa;
  --color-smoke-50: #f5f5f5;
  --color-smoke-70: #f0f0f0;
  --color-smoke-90: #e1e1e1;
  --color-gray-10: #c1c1c1;
  --color-gray-30: #8e8e8e;
  --color-gray-50: #808080;
  --color-gray-70: #5d5d5d;
  --color-jet-20: #4a4a4a;
  --color-jet-30: #424242;
  --color-jet-50: #333;
  --color-jet-70: #222;
  --color-jet-80: #191919;
  --color-black: #000;
  /* Palette colors */
  --pal-light-1: rgba(239, 248, 226, 1);
  --pal-light-2: rgba(206, 207, 199, 1);
  --pal-light-3: rgba(173, 168, 182, 1);
  --pal-dark-1: rgba(35, 2, 46, 1);
  --pal-dark-2: rgba(87, 50, 128, 1);
  /* base */
  --body-background: var(--color-white);
  --body-font-color: #000;
  --panel-background: var(--color-smoke-30);
  --panel-border-color: var(--color-smoke-90);
  /* navbar */
  --navbar-background: var(--pal-dark-2);
  --navbar-hover-background: #69397c;
  --navbar-font-color: var(--pal-light-1);
  --navbar-button-background: var(--pal-light-2);
  --navbar-button-border-color: var(--pal-light-1);
  --navbar-button-font-color: var(--pal-dark-2);
  --navbar-menu-border-color: var(--panel-border-color);
  --navbar-menu-background: var(--color-white);
  --navbar-menu-hover-background: var(--color-smoke-50);
  --navbar-menu-font-color: var(--body-font-color);
  /* nav */
  --nav-background: var(--pal-light-2);
  --nav-border-color: var(--pal-dark-2);
  --nav-heading-font-color: var(--pal-dark-1);
  --nav-muted-color: var(--color-gray-70);
  --nav-panel-divider-color: var(--color-smoke-90);
  --nav-secondary-background: var(--color-smoke-70);
  /* toolbar */
  --toolbar-background: var(--pal-light-1);
  --toolbar-border-color: var(--panel-border-color);
  --toolbar-font-color: var(--pal-dark-2);
  --toolbar-muted-color: var(--color-gray-30);
  --page-version-menu-background: var(--color-smoke-70);
  --page-version-missing-font-color: var(--color-gray-30);
  /* footer */
  --footer-background: var(--pal-light-3);
  --footer-font-color: var(--pal-dark-2);
  --footer-link-font-color: var(--pal-dark-1);
  /* admonitions */
  --caution-color: #a0439c;
  --caution-on-color: var(--color-white);
  --important-color: #d32f2f;
  --important-on-color: var(--color-white);
  --note-color: #217ee7;
  --note-on-color: var(--color-white);
  --tip-color: #41af46;
  --tip-on-color: var(--color-white);
  --warning-color: #e18114;
  --warning-on-color: var(--color-white);
  /* doc */
  --doc-font-color: var(--color-jet-50);
  --heading-font-color: var(--color-jet-80);
  --section-divider-color: var(--panel-border-color);
  --link-font-color: #1565c0;
  --link-hover-font-color: #104d92;
  --abstract-background: var(--color-smoke-70);
  --abstract-font-color: var(--color-jet-20);
  --abstract-border-color: var(--panel-border-color);
  --admonition-background: var(--panel-background);
  --caption-font-color: var(--color-gray-70);
  --code-background: var(--panel-background);
  --code-font-color: var(--body-font-color);
  --example-background: var(--color-white);
  --example-border-color: var(--color-gray-70);
  --kbd-background: var(--panel-background);
  --kbd-border-color: var(--color-gray-10);
  --pre-background: var(--panel-background);
  --pre-border-color: var(--panel-border-color);
  --pre-annotation-font-color: var(--color-gray-10);
  --quote-background: var(--panel-background);
  --quote-border-color: var(--color-gray-70);
  --quote-font-color: var(--color-gray-70);
  --quote-attribution-font-color: var(--color-gray-30);
  --sidebar-background: var(--color-smoke-90);
  --table-border-color: var(--panel-border-color);
  /* dimensions */
  --navbar-height: 3.25rem;
  --drawer-height: 2.5rem;
  --toolbar-height: 2.5rem;
  --body-top: var(--navbar-height);
  --body-min-height: calc(100vh - var(--body-top));
  --nav-height: var(--body-min-height);
  --nav-height-mobile: calc(var(--body-min-height) - var(--toolbar-height));
  --nav-panel-height: calc(var(--nav-height) - var(--drawer-height));
  --nav-panel-height-mobile: calc(var(--nav-height-mobile) - var(--drawer-height));
  --nav-width: 16rem;
  --doc-max-width: 54rem;
  --doc-max-width-mobile: 40rem;
  /* stacking */
  --z-index-nav: 1;
  --z-index-toolbar: 2;
  --z-index-page-version-menu: 3;
  --z-index-navbar: 4;
}
